## ChamplainLicense

ChamplainLicense — An actor that displays license text.

## Functions

ClutterActor * | champlain_license_new ()
void | champlain_license_set_extra_text ()
const gchar * | champlain_license_get_extra_text ()
void | champlain_license_set_alignment ()
PangoAlignment | champlain_license_get_alignment ()
void | champlain_license_connect_view ()
void | champlain_license_disconnect_view ()

## Properties

PangoAlignment | alignment | Read / Write
gchar * | extra-text | Read / Write

## Types and Values

struct | ChamplainLicense

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ChamplainLicense

## Implemented Interfaces

ChamplainLicense implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

An actor that displays license text.

## Functions

### champlain_license_new ()

    ClutterActor *
    champlain_license_new (void);

Creates an instance of ChamplainLicense.

#### Returns

a new ChamplainLicense.

Since: 0.10

### champlain_license_set_extra_text ()

    void
    champlain_license_set_extra_text (ChamplainLicense *license,
                                      const gchar *text);

Show the additional license text on the map view. The text will preceed the map's licence when displayed. Use "\n" to separate the lines.

#### Parameters

license | a ChamplainLicense |
text | the additional license text |

Since: 0.10

### champlain_license_get_extra_text ()

    const gchar *
    champlain_license_get_extra_text (ChamplainLicense *license);

Gets the additional license text.

#### Parameters

license | a ChamplainLicense |

#### Returns

the additional license text

Since: 0.10

### champlain_license_set_alignment ()

    void
    champlain_license_set_alignment (ChamplainLicense *license,
                                     PangoAlignment alignment);

Set the license's text alignment.

#### Parameters

license | a ChamplainLicense |
alignment | The license's text alignment |

Since: 0.10

### champlain_license_get_alignment ()

    PangoAlignment
    champlain_license_get_alignment (ChamplainLicense *license);

Get the license's text alignment.

#### Parameters

license | The license |

#### Returns

the license's text alignment.

Since: 0.10

### champlain_license_connect_view ()

    void
    champlain_license_connect_view (ChamplainLicense *license,
                                    ChamplainView *view);

This method connects to the necessary signals of ChamplainView to make the license change automatically when the map source changes.

#### Parameters

license | The license |
view | a ChamplainView |

Since: 0.10

### champlain_license_disconnect_view ()

    void
    champlain_license_disconnect_view (ChamplainLicense *license);

This method disconnects from the signals previously connected by `champlain_license_connect_view()`.

#### Parameters

license | The license |

Since: 0.10

## Types and Values

### struct ChamplainLicense

    struct ChamplainLicense;

The ChamplainLicense structure contains only private data and should be accessed using the provided API

Since: 0.10

## Property Details

### The `“alignment”` property

      “alignment”                PangoAlignment

The license's alignment

Owner: ChamplainLicense

Flags: Read / Write

Default value: PANGO_ALIGN_LEFT

Since: 0.10

### The `“extra-text”` property

      “extra-text”               gchar *

Sets additional text to be displayed in the license area. The map's license will be added below it. Your text can have multiple lines, just use "\n" in between.

Owner: ChamplainLicense

Flags: Read / Write

Default value: ""

Since: 0.10